Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Sequence..::.Get Method (Int32, Boolean)
Sequence Class See Also

Return the next available element in the sequence and change the sequence value by Delta.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public long Get(
    	int Delta,
    	bool NoSync
    )

Visual Basic (Declaration)
    Public Function Get ( _
    	Delta As Integer, _
    	NoSync As Boolean _
    ) As Long

Visual C++
    public:
    long long Get(
    	int Delta,
    	bool NoSync
    )

#### Parameters

Delta
  Type: System..::.Int32
  The amount by which to increment the sequence value. Must be greater than 0.

NoSync
  Type: System..::.Boolean
  If true, and if the operation is implicitly transaction protected, do not synchronously flush the log when the transaction commits.

#### Return Value

The next available element in the sequence.

# See Also

Sequence Class
Get Overload
BerkeleyDB Namespace